#!/bin/bash
#
# IPFire - eXtenden Hdd Graph
#
# This code is distributed under the terms of the GPL
#
# 11.05.2006 Arne Fitzenreiter
#

#
#  check if already installed ...
#
if [ -e "/usr/local/bin/xhddgraph" ] ; then
echo
echo Error! xhddgraph is already installed!
echo
else
#
# backup files
#
echo Backup ini files ...
mkdir backup-install
cd backup-install
cp /etc/rc.d/rc.sysinit ./
cp /home/httpd/cgi-bin/graphs.cgi ./
cp /usr/local/bin/makegraphs ./
cd ..
#
# copy new files
#
echo Copy xhddgraph ...
cp graphs.cgi /home/httpd/cgi-bin/
cp makegraphs /usr/local/bin/

#
# activate xhddgraph
#
patch /etc/rc.d/rc.sysinit < rc.sysinit.install
echo "only a tagfile" > /usr/local/bin/xhddgraph

#
# made diff for unistalling
#

echo Prepeare uninstaller ...
diff -u  /etc/rc.d/rc.sysinit ./backup-install/rc.sysinit> rc.sysinit.diff

echo
echo Sucessfull installed.
echo
fi
