#!/bin/bash
#
# IPFire - eXtended Hdd Graph uninstaller.
#
# This code is distributed under the terms of the GPL
#
# 11.05.2006 Arne Fitzenreiter
#

#  check if installed ...
#
if [ ! -e "/usr/local/bin/xhddgraph" ] ; then
echo
echo Error! xhddgraph is not installed!
echo
else
if [ ! -e "rc.sysinit.diff" ] ; then
echo
echo Error! uninstall information not found!
echo
else
#
# backup files
#
echo Backup files ...
mkdir backup-uninstall
cd backup-uninstall
cp /etc/rc.d/rc.sysinit ./
cp /home/httpd/cgi-bin/graphs.cgi ./
cp /usr/local/bin/makegraphs ./
cp /usr/local/bin/xhddgraph ./
cd ..

#
# deactivate xhddgraph
#
echo Deactivate xhddgraph ...
patch /etc/rc.d/rc.sysinit < rc.sysinit.diff

#
# remove xhddgraph
#
echo Remove xhddgraph ...
rm /usr/local/bin/xhddgraph
#
# restore old graphs
#
echo Restore original hddgraph ...
cp ./backup-install/graphs.cgi /home/httpd/cgi-bin/
cp ./backup-install/makegraphs /usr/local/bin/

echo
echo Deinstalled.
echo
fi
fi
